### Class

# Foundry TestSuite

since: 1.1

#### Description [src]

    final class Foundry.TestSuite : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A grouping of `FoundryTest`.

Available since: 1.1

#### Ancestors

- GObject

#### Implements

- GListModel

#### Instance methods

###### foundry_test_suite_dup_name

Gets the name of the suite if any.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Foundry.TestSuite:name

No description available.

since: 1.1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct FoundryTestSuiteClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.